Bug 1574850 - Rebuild with new libnftnl
Summary: Rebuild with new libnftnl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iptables
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Phil Sutter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 07:35 UTC by Zdenek Dohnal
Modified: 2018-05-11 01:50 UTC (History)
3 users (show)

Fixed In Version: iptables-1.6.2-3.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-11 01:50:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Zdenek Dohnal 2018-05-04 07:35:37 UTC
Hi,

updating the f27 system ends with error:

 Problem: package iptables-compat-1.6.1-4.fc27.x86_64 requires libnftnl.so.4()(64bit), but none of the providers can be installed
  - cannot install both libnftnl-1.0.9-2.fc27.x86_64 and libnftnl-1.0.7-4.fc27.x86_64
  - cannot install both libnftnl-1.0.7-4.fc27.x86_64 and libnftnl-1.0.9-2.fc27.x86_64
  - cannot install the best update candidate for package libnftnl-1.0.7-4.fc27.x86_64
  - cannot install the best update candidate for package iptables-compat-1.6.1-4.fc27.x86_64

It seems iptables needs to be rebuilt with new libnftnl, because it provides different soname.

Comment 1 Phil Sutter 2018-05-04 14:21:33 UTC
Hi Zdenek,

This looks like something went wrong during system update, since according to that log libnftnl-1.0.9-2.fc27.x86_64 could not be installed for some reason. Maybe try removing it temporarily?

Note that iptables-compat-1.6.1-4.fc27.x86_64 is the old package which dnf tried to update.

Cheers, Phil

Comment 2 Fedora Update System 2018-05-07 09:19:06 UTC
iptables-1.6.2-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-59e87c41b7

Comment 3 Fedora Update System 2018-05-07 14:33:24 UTC
iptables-1.6.2-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-59e87c41b7

Comment 4 Fedora Update System 2018-05-11 01:50:01 UTC
iptables-1.6.2-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.